%define name		dvb-apps
%define version		1.1.1
%define beta		0
%define rel		6
%define distname	linuxtv-dvb-apps
%define scandata_rev	1237

%if %beta
%define release %mkrel 0.%{beta}.%{rel}
%else
%define release %mkrel %{rel}
%endif

Summary:	Various apps for DVB cards
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://linuxtv.org/download/dvb/%{distname}-%{version}.tar.bz2
# hg clone http://linuxtv.org/hg/dvb-apps scan-data
# tar -cjf scan-data-$(cd scan-data; hg tip --template {rev}).tar.bz2 scan-data/util/scan/{atsc,dvb-[cst]}
# /bin/rm -r scan-data
Source1:	scan-data-%{scandata_rev}.tar.bz2
# (Anssi 02/2008): dvbnet tries to strip 'path/' out from 'path/dvbnet'
# in argv[0] when showing it in commandline usage help output. The NULL
# check is buggy as 's' has already been incremented by 1 before the check.
# This patch removes the stripping altogether and uses the full argv[0]
# in usage(), as GNU utilities do.
Patch0:		dvbnet-do-not-strip-dir-from-argv0.patch
# (Anssi) Do not set CA to non-zero by default for VDR, from upstream hg:
Patch1:		scan-vdr-zero-ca.patch
License:	GPL
Group:		Video
URL:		http://linuxtv.org/dvb/
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Various apps for DVB cards.

%prep
%setup -q -n %distname-%version -a 1
%patch0 -p1
%patch1 -p1

%build
# (Anssi 02/2008) version.h gets written too late for dvbnet.c,
# parallel make broken
make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m755 %buildroot/%{_bindir}

cd util
#
# binaries
#

install -m755 av7110_loadkeys/av7110_loadkeys %buildroot/%{_bindir}/
install -m755 av7110_loadkeys/evtest %buildroot/%{_bindir}/av7110_evtest
install -m755 dvbdate/dvbdate %buildroot/%{_bindir}/
install -m755 dvbnet/dvbnet %buildroot/%{_bindir}/
install -m755 dvbtraffic/dvbtraffic %buildroot/%{_bindir}/
install -m755 scan/scan %buildroot/%{_bindir}/scandvb
install -m755 szap/*zap %buildroot/%{_bindir}/
install -m755 szap/femon %buildroot/%{_bindir}/

cd ../scan-data/util
# from source1:
install -d -m755 %buildroot/%{_datadir}/%{name}/scan
cp -pr scan/dvb-c %buildroot/%{_datadir}/%{name}/scan/
cp -pr scan/dvb-s %buildroot/%{_datadir}/%{name}/scan/
cp -pr scan/dvb-t %buildroot/%{_datadir}/%{name}/scan/
cp -pr scan/atsc %buildroot/%{_datadir}/%{name}/scan/
cd -

install -d -m755 %buildroot/%{_datadir}/%{name}/av7110_loadkeys
install -m644 av7110_loadkeys/*rc5  %buildroot/%{_datadir}/%{name}/av7110_loadkeys/
install -m644 av7110_loadkeys/*rcmm  %buildroot/%{_datadir}/%{name}/av7110_loadkeys/
#
# confs & doc
#

install -d -m755 %buildroot/%{_sysconfdir}/dvb
install -m644 szap/channels.conf* %buildroot/%{_sysconfdir}/dvb

install -m644 av7110_loadkeys/README ../README.av7110_loadkeys
perl -pi -e 's:./evtest:av7110_evtest:' ../README.av7110_loadkeys
perl -pi -e 's:./av7110_loadkeys:av7110_loadkeys:' ../README.av7110_loadkeys
perl -pi -e "s:hauppauge.rc5:%{_datadir}/%{name}/av7110_loadkeys/hauppauge.rc5:" ../README.av7110_loadkeys

install -m644 scan/README ../README.scandvb
perl -pi -e "s:./scan :scandvb :"  ../README.scandvb
perl -pi -e "s:dvb-s/Astra-19.2E:%{_datadir}/%{name}/scan/dvb-s/Astra-19.2E:"  ../README.scandvb
perl -pi -e "s:scandvb -h.:scandvb -h, tuning files are stored in %{_datadir}/%{name}/scan .:"  ../README.scandvb

install -m755 dvbnet/net_start.* ../

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/dvb/
%config(noreplace) %{_sysconfdir}/dvb/*
%{_bindir}/*
%dir %{_datadir}/%name
%{_datadir}/%name/*
%doc TODO README README.av7110_loadkeys README.scandvb net_start.pl  net_start.sh


%changelog
* Tue Dec 02 2008 Anssi Hannula <anssi@mandriva.org> 1.1.1-6mdv2009.0
+ Revision: 309377
- update scan data

* Thu Mar 13 2008 Anssi Hannula <anssi@mandriva.org> 1.1.1-5mdv2008.1
+ Revision: 187533
- scandvb: do not incorrectly set CA field to non-zero value by default for
  VDR 1.3+ (patch from upstream trunk)

* Thu Feb 28 2008 Anssi Hannula <anssi@mandriva.org> 1.1.1-4mdv2008.1
+ Revision: 175962
- disable parallel make
- dvbnet: do not strip directories from argv[0] when displaying
  help output, fixes segfault (P0, fixes #38012)
- new snapshot of scan data

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.1.1-3mdv2008.1
+ Revision: 140722
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 24 2007 Anssi Hannula <anssi@mandriva.org> 1.1.1-3mdv2008.0
+ Revision: 92519
- new initial transponder scan data snapshot

* Tue Jun 26 2007 Adam Williamson <awilliamson@mandriva.com> 1.1.1-2mdv2008.0
+ Revision: 44258
- drop unneeded BuildRequires, rebuild for 2008
- Import dvb-apps



* Fri Jun 02 2006 Anssi Hannula <anssi@mandriva.org> 1.1.1-1mdv2007.0
- 1.1.1
- drop patch1, unneeded
- add atsc tuning files

* Sun Oct 2 2005 Erwan Velu <erwan@seanodes.com> 1.1.0-6mdk
- Updating dvb-t config files from CVS

* Mon Aug 29 2005 Marcel Pol <mpol@mandriva.org> 1.1.0-5mdk
- rebuild

* Tue Jul 27 2004 Svetoslav Slavtchev <svetljo@gmx.de> 1.1.0-4mdk
- rebuild

* Mon Jun 07 2004 Svetoslav Slavtchev <svetljo@gmx.de> 1.1.0-3mdk
- drop an unused patch & fix perms

* Mon Jun 07 2004 Svetoslav Slavtchev <svetljo@gmx.de> 1.1.0-2mdk
- contrib build
  clean up club stuff

* Sun Apr 04 2004 Svetoslav Slavtchev <svetljo@gmx.de> 1.1.0-1mdk
- update source
- tweak the docs to the mdk layout
- build for club

* Wed Sep 17 2003 Marcel Pol <mpol@gmx.net> 1.0.0-1mdk
- initial contrib from Svetoslav Slavtchev
